brick_rest_generators 3.0.1 copy "brick_rest_generators: ^3.0.1" to clipboard
brick_rest_generators: ^3.0.1 copied to clipboard

Code generation library for the REST providers, models, and adapters in Brick

Use this package as a library

Depend on it

Run this command:

With Dart:

 $ dart pub add brick_rest_generators

This will add a line like this to your package's pubspec.yaml (and run an implicit dart pub get):

dependencies:
  brick_rest_generators: ^3.0.1

Alternatively, your editor might support dart pub get. Check the docs for your editor to learn more.

Import it

Now in your Dart code, you can use:

import 'package:brick_rest_generators/generators.dart';
import 'package:brick_rest_generators/rest_model_serdes_generator.dart';
0
likes
110
pub points
23%
popularity

Publisher

unverified uploader

Code generation library for the REST providers, models, and adapters in Brick

Homepage
Repository (GitHub)
View/report issues

Documentation

API reference

License

MIT (LICENSE)

Dependencies

analyzer, brick_build, brick_core, brick_json_generators, brick_rest, build, dart_style, source_gen

More

Packages that depend on brick_rest_generators